function [costTOT,costVEH1,costVEH2]=calcostPP(xd)

global ss dmax k
xv1=xd(1:4); xv2=xd(5:8); d1=xd(9)*100; 

ds1 = 0 : ss : ceil(d1/ss)*ss;
ds2 = ceil(d1/ss)*ss : ss : dmax;
ds1(1)=1e-12;
ds1(end)=d1;
ds2(1)=d1;

% VEH#1 = PHEV on ds1
PHEV1costday = getcostPHEV(xv1,ds1);
if d1<ss,
    costVEH1=0; % to prevent trapz integrates on a scalar and fails
else
    costVEH1=trapz(ds1,exppdf(ds1,1/k).*PHEV1costday);
end

% VEH#2 = PHEV runs on ds2
PHEV2costday = getcostPHEV(xv2,ds2);
if abs(d1-dmax)<ss,
    costVEH2=0;
else
    costVEH2=trapz(ds2,exppdf(ds2,1/k).*PHEV2costday);
end

costTOT = costVEH1 + costVEH2;