function [g,h]=confunPH(xd)

global BATCON ss dmax

xv1=xd(1:4);
d1=xd(5)*100;
ds1 = 0 : ss : ceil(d1/ss)*ss;
ds2 = ceil(d1/ss)*ss : ss : dmax;
ds1(1)=1e-12; ds1(end)=d1; ds2(1)=d1;

[effv1,tv1,SUv1]=metafunc(xv1);

g(1)=tv1.CS-11;
g(2)=tv1.CD-11;
g(3)=0.32-SUv1;

if BATCON=='Y', % adding battery life constant
    % BVP: penalty term for vehicle life > battery life
    [EACdayv1,BVPv1]=getcostPHEV(xv1,ds1);
    g(4)=BVPv1;
end

h=[];