function [minghgs,xdC]=runghgsPH
% run mutli-start for minimzing COST - PH

global options RS
% run mutli-start for minimzing COST
%    |------- Veh#1 PHEV --------| 
%       x1;     x2;     x3;   x4;   d1
lb = [ 15/57;  50/52;  0.2;  0.00; 0.0];
ub = [ 60/57; 110/52;  1.0;  0.80; 2.0];
% lb(5)=1e-5; ub(5)=2-1e-5; 

minghgs=1e6;
sc=0; % count for solutions
for i=1:RS,
    xd0= lb+(ub-lb).*rand(5,1);
    [xd,fval,flag]=fmincon(@calghgsPH,xd0,[],[],[],[],lb,ub,@confunPH,options);
    if flag>0,  % a local optimum found
        sc=sc+1;
%         xdCm(:,sc)=xd;
%         minghgsm(sc)=fval; 
        if fval<minghgs, % a better solution found
            disp(sprintf('PH-%3d Solver-flag=%d and new optimal solution found',i,flag ));
            xdC=xd;
            minghgs=fval; 
        else
            disp(sprintf('PH-%3d Solver-flag=%d and no better solution',i,flag ));
        end
    else
        disp(sprintf('PH-%3d Solver-flag=%d and no solution found',i,flag ));
    end
end

