function [minghgs,xdG]=runghgsCPP
% run mutli-start for minimzing COST - CPP

global options RS

%    |------- Veh#2 PHEV --------| |------- Veh#3 PHEV --------| 
%       x1;     x2;     x3;   x4;      x1;     x2;    x3;   x4;  d1; d2;   
lb = [ 15/57;  50/52;  0.2;  0.00;  15/57;  50/52;  0.2;  0.00; 0.0; 0.0];
ub = [ 60/57; 110/52;  1.0;  0.80;  60/57; 110/52;  1.0;  0.80; 2.0; 2.0];
% lb(9:10)=1e-5; ub(9:10)=2-1e-5; 
%
minghgs=1e6;
sc=0; % count for solutions
xdG=ones(10,1);
for i=1:RS,
    xd0= lb+(ub-lb).*rand(10,1);
    if xd0(9)>xd0(10), tmp=xd0(9); xd0(9)=xd0(10); xd0(10)=tmp; end
    [xd,fval,flag]=fmincon(@calghgsCPP,xd0,[],[],[],[],lb,ub,@confunCPP,options);
    if flag>0,  % a local optimum found
        sc=sc+1;
%         xdGm(:,sc)=xd;
%         minghgsm(sc)=fval; 
        if fval<minghgs, % a better solution found
            disp(sprintf('CPP-%3d Solver-flag=%d and new optimal solution found',i,flag ));
            xdG=xd;
            minghgs=fval; 
        else
            disp(sprintf('CPP-%3d Solver-flag=%d and no better solution',i,flag ));
        end
    else
        disp(sprintf('CPP-%3d Solver-flag=%d and no solution found',i,flag ));
    end
end

