function [ghgsTOT,ghgsVEH1,ghgsVEH2]=calghgsCH(d)

global ss dmax k
d1=d*100;

ds1 = 0 : ss : ceil(d1/ss)*ss;
ds2 = ceil(d1/ss)*ss : ss : dmax;
ds1(1)=1e-12;
ds1(end)=d1;
ds2(1)=d1;

% VEH#1 = CV on ds1
[HEV1,CV1]=getHEVCV(ds1);
if d1<ss,
    ghgsVEH1=0; % to prevent trapz integrates on a scalar and fails
else
    ghgsVEH1=trapz(ds1,exppdf(ds1,1/k).*CV1.ghgsday);
end

% VEH#2 = HEV runs on ds2
HEV2=getHEVCV(ds2);
if abs(d1-dmax)<ss,
    ghgsVEH2=0;
else
    ghgsVEH2=trapz(ds2,exppdf(ds2,1/k).*HEV2.ghgsday);
end

ghgsTOT = ghgsVEH1 + ghgsVEH2;