function [g,h]=confunPPH(xd)

global BATCON ss dmax

xv1=xd(1:4); xv2=xd(5:8);
d1=xd(9)*100; d2=xd(10)*100;
ds1 = 0 : ss : ceil(d1/ss)*ss;
ds2 = ceil(d1/ss)*ss : ss : ceil(d2/ss)*ss;
ds3 = ceil(d2/ss)*ss : ss : dmax;
ds1(1)=1e-12;
ds1(end)=d1;  ds2(1)=d1;
ds2(end)=d2;  ds3(1)=d2;
[effv1,tv1,SUv1]=metafunc(xv1);
[effv2,tv2,SUv2]=metafunc(xv2);
%---------------------------------------------
g(1)=tv1.CS-11;
g(2)=tv1.CD-11;
g(3)=0.32-SUv1;
%
g(4)=tv2.CS-11;
g(5)=tv2.CD-11;
g(6)=0.32-SUv2;
%
g(7)=d1-d2;
%---------------------------------------------
if BATCON=='Y', % adding battery life constant
    % BVP: penalty term for vehicle life > battery life
    [EACdayv1,vOP1,vVEHday1,vBATday1,BVPv1]=getghgsPHEV(xv1,ds1);
    [EACdayv2,vOP2,vVEHday2,vBATday2,BVPv2]=getghgsPHEV(xv2,ds2);
    g(8)=BVPv1;
    g(9)=BVPv2;
end

h=[];
