function dispPPP(xd)

global kappa v
xv1=xd(1:4); xv2=xd(5:8); xv3=xd(9:12);
d1=xd(13)*100; d2=xd(14)*100;
%
[effv1,tv1,socUS06v1]=metafunc(xv1);
[effv2,tv2,socUS06v2]=metafunc(xv2);
[effv3,tv3,socUS06v3]=metafunc(xv3);
%
sAERv1=kappa*xv1(3)*1000*xv1(4)*effv1.CD;
sAERv2=kappa*xv2(3)*1000*xv2(4)*effv2.CD;
sAERv3=kappa*xv3(3)*1000*xv3(4)*effv3.CD;
%
[ghgsTOT,ghgsPHEV1,ghgsPHEV2,ghgsPHEV3] = calghgsPPP(xd);
%
        disp(' ');
        disp('------------------------------------------');
disp(sprintf('  Li-ion battery GHGs = %0.0f kgCO2e/kWh',v.LiIon ));
disp(sprintf('    NiMH battery GHGs = %0.0f kgCO2e/kWh',v.NiMH ));
disp(sprintf('        Gasoline GHGs = %0.2f kgCO2e/gal',v.gas ));
disp(sprintf('     Electricity GHGs = %0.3f kgCO2e/kWh',v.elec ));
        disp('------------------------------------------');
%        
        disp('--- PHEV#1 optimal design solutions ---');
disp(sprintf('     PHEV AER = %0.4f miles', sAERv1 ));
disp(sprintf('       Engine size x1 = %0.4f (%-0.1f kW)',xv1(1),xv1(1)*57 ));
disp(sprintf('        Motor size x2 = %0.4f (%-0.1f kW)',xv1(2),xv1(2)*52 ));
disp(sprintf('      Battery size x3 = %0.4f (%-0.0f cells)',xv1(3),xv1(3)*1000 ));
disp(sprintf('      Design swing x4 = %0.4f',xv1(4) ));
disp(sprintf('   PHEV efficiency CD = %0.3f mile/kWh', effv1.CD));
disp(sprintf('   PHEV efficiency CS = %0.2f mile/gal', effv1.CS));
disp(sprintf(' Acceleration 0-60 CD = %0.2f secs', tv1.CD ));
disp(sprintf(' Acceleration 0-60 CS = %0.2f secs', tv1.CS ));
disp(sprintf('     SOC after 4 US06 = %0.3f', socUS06v1 ));
disp(sprintf('     Battery capacity = %0.2f kWH', kappa*(xv1(3)*1000) ));
disp(sprintf('    PHEV#1 GHGs total = %0.6f kgCO2e',ghgsPHEV1));
        disp('---------------------------------------');
        disp('--- PHEV#2 optimal design solutions ---');        
disp(sprintf('     PHEV AER = %0.4f miles', sAERv2 ));
disp(sprintf('       Engine size x1 = %0.4f (%-0.1f kW)',xv2(1),xv2(1)*57 ));
disp(sprintf('        Motor size x2 = %0.4f (%-0.1f kW)',xv2(2),xv2(2)*52 ));
disp(sprintf('      Battery size x3 = %0.4f (%-0.0f cells)',xv2(3),xv2(3)*1000 ));
disp(sprintf('      Design swing x4 = %0.4f',xv2(4) ));
disp(sprintf('   PHEV efficiency CD = %0.3f mile/kWh', effv2.CD));
disp(sprintf('   PHEV efficiency CS = %0.2f mile/gal', effv2.CS));
disp(sprintf(' Acceleration 0-60 CD = %0.2f secs', tv2.CD ));
disp(sprintf(' Acceleration 0-60 CS = %0.2f secs', tv2.CS ));
disp(sprintf('     SOC after 4 US06 = %0.3f', socUS06v2 ));
disp(sprintf('     Battery capacity = %0.2f kWH', kappa*(xv2(3)*1000) ));
disp(sprintf('    PHEV#2 GHGs total = %0.6f kgCO2e',ghgsPHEV2));
        disp('---------------------------------------');
        disp('--- PHEV#3 optimal design solutions ---');        
disp(sprintf('     PHEV AER = %0.4f miles', sAERv3 ));
disp(sprintf('       Engine size x1 = %0.4f (%-0.1f kW)',xv3(1),xv3(1)*57 ));
disp(sprintf('        Motor size x2 = %0.4f (%-0.1f kW)',xv3(2),xv3(2)*52 ));
disp(sprintf('      Battery size x3 = %0.4f (%-0.0f cells)',xv3(3),xv3(3)*1000 ));
disp(sprintf('      Design swing x4 = %0.4f',xv3(4) ));
disp(sprintf('   PHEV efficiency CD = %0.3f mile/kWh', effv3.CD));
disp(sprintf('   PHEV efficiency CS = %0.2f mile/gal', effv3.CS));
disp(sprintf(' Acceleration 0-60 CD = %0.2f secs', tv3.CD ));
disp(sprintf(' Acceleration 0-60 CS = %0.2f secs', tv3.CS ));
disp(sprintf('     SOC after 4 US06 = %0.3f', socUS06v3 ));
disp(sprintf('     Battery capacity = %0.2f kWH', kappa*(xv3(3)*1000) ));
disp(sprintf('    PHEV#3 GHGs total = %0.6f kgCO2e',ghgsPHEV3));
        disp('---------------------------------------');
disp(sprintf('   Cutoff-distance d1 = %0.3f miles',d1));
disp(sprintf('   Cutoff-distance d2 = %0.3f miles',d2));
disp(sprintf('   Total GHGs = %0.6f kgCO2e/vehicle-day',ghgsTOT ));
        disp('---------------------------------------');
end
