function [minghgs,xdG]=runghgsHPH
% run mutli-start for minimzing COST - HPH

global options RS
%       x1;     x2;     x3;   x4;   d1;  d2   
lb = [ 15/57;  50/52;  0.2;  0.00; 0.0; 0.0];
ub = [ 60/57; 110/52;  1.0;  0.80; 2.0; 2.0];
% lb(5:6)=1e-5; ub(5:6)=2-1e-5;
%
minghgs=1e6;
sc=0; % count for solutions
xdG=ones(6,1);
for i=1:RS,
    xd0= lb+(ub-lb).*rand(6,1);
    if xd0(5)>xd0(6), tmp=xd0(5); xd0(5)=xd0(6); xd0(6)=tmp; end
    [xd,fval,flag]=fmincon(@calghgsHPH,xd0,[],[],[],[],lb,ub,@confunHPH,options);
%    if flag>-200 && fval<minghgs, % for ktrlink (KNITRO)
    if flag>0,  % a local optimum found
        sc=sc+1;
%         xdGm(:,sc)=xd;
%         minghgsm(sc)=fval; 
        if fval<minghgs, % a better solution found
            disp(sprintf('HPH-%3d Solver-flag=%d and new optimal solution found',i,flag ));
            xdG=xd;
            minghgs=fval; 
        else
            disp(sprintf('HPH-%3d Solver-flag=%d and no better solution',i,flag ));
        end
    else
        disp(sprintf('HPH-%3d Solver-flag=%d and no solution found',i,flag ));
    end
end

