function [minghgs,xdG]=runghgsPPP

global options RS
% run mutli-start for minimzing COST: PPP
%    |------ Vehicle-1 -----------| |------ Vehicle-2 ---------| |------Vehicle-3 ---------|
%         x1;     x2;    x3;    x4;    x1;     x2;    x3;    x4;    x1;     x2;    x3;    x4;  d1   d2  
lb = [ 30/57;  50/52;   0.2;  0.00; 15/57;  50/52;   0.2;  0.00; 15/57;  50/52;   0.2;  0.00; 0.0; 0.0];
ub = [ 60/57; 110/52;   1.0;  0.80; 60/57; 110/52;   1.0;  0.80; 60/57; 110/52;   1.0;  0.80; 2.0; 2.0];
% lb(13:14)=1e-5; ub(13:14)=2-1e-5;
minghgs=1e6;
sc=0; % count for solutions
xdG=ones(14,1);
for i=1:RS,
    xd0= lb+(ub-lb).*rand(14,1);
    if xd0(13)>xd0(14), tmp=xd0(13); xd0(13)=xd0(14); xd0(14)=tmp; end
    [xd,fval,flag]=fmincon(@calghgsPPP,xd0,[],[],[],[],lb,ub,@confunPPP,options);
    if flag>0,  % a local optimum found
        sc=sc+1;
%         xdGm(:,sc)=xd;
%         minghgsm(sc)=fval; 
        if fval<minghgs, % a better solution found
            disp(sprintf('PPP-%3d Solver-flag=%d and new optimal solution found',i,flag ));
            xdG=xd;
            minghgs=fval; 
        else
            disp(sprintf('PPP-%3d Solver-flag=%d and no better solution',i,flag ));
        end
    else
        disp(sprintf('PPP-%3d Solver-flag=%d no feasible solution found',i,flag ));
    end
end

